Summary: A GNU general-purpose parser generator.
Name: bison
Version: 3.0.5
Release: 1
License: GPLv2+
Group: Development/Tools
Source0: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig
URL: http://www.gnu.org/software/bison/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: m4 >= 1.4
BuildRequires: gettext
Requires: m4 >= 1.4
Requires: /sbin/install-info, info, gettext

%description
Bison is a general purpose parser generator that converts a grammar
description for an LALR(1) context-free grammar into a C program to
parse that grammar. Bison can be used to develop a wide range of
language parsers, from ones used in simple desk calculators to complex
programming languages. Bison is upwardly compatible with Yacc, so any
correctly written Yacc grammar should work with Bison without any
changes. If you know Yacc, you shouldn't have any trouble using
Bison. You do need to be very proficient in C programming to be able
to use Bison. Bison is only needed on systems that are used for
development.

If your system will be used for C development, you should install
Bison.


%package devel
Summary: -ly library for development using Bison-generated parsers
Group: Development/Libraries

%description devel
The bison-devel package contains the -ly library sometimes used by
programs using Bison-generated parsers.  If you are developing programs
using Bison, you might want to link with this library.  This library
is not required by all Bison-generated parsers, but may be employed by
simple programs to supply minimal support for the generated parsers.


%prep
%setup -q


%build
export CC="cc -qcpluscmt"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir}
make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/%{name}*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

(
  cd $RPM_BUILD_ROOT
  mkdir -p usr/bin
  cd usr/bin
  ln -sf ../..%{_bindir}/bison .
  cd -

  mkdir -p usr/linux/bin
  cd usr/linux/bin
  ln -sf ../../..%{_bindir}/* .
  cd -

  mkdir -p usr/share
  cd usr/share
  ln -sf ../..%{_datadir}/bison .
)


%post
/sbin/install-info %{_infodir}/bison.info.gz %{_infodir}/dir --entry="* bison: (bison).                        The GNU parser generator." || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/bison.info.gz %{_infodir}/dir --entry="* bison: (bison).                        The GNU parser generator." || :
fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/bison*
%{_datadir}/bison
%{_datadir}/aclocal/*
%{_datadir}/locale/*/*/*
/usr/bin/*
/usr/linux/bin/*
/usr/share/*


%files devel
%defattr(-,root,system)
%{_libdir}/*.a


%changelog
* Mon May 28 2018 Michael Perzl <michael@perzl.org> - 3.0.5-1
- updated to version 3.0.5

* Fri Jan 23 2015 Michael Perzl <michael@perzl.org> - 3.0.4-1
- updated to version 3.0.4

* Wed Jan 21 2015 Michael Perzl <michael@perzl.org> - 3.0.3-1
- updated to version 3.0.3

* Thu Dec 05 2013 Michael Perzl <michael@perzl.org> - 3.0.2-1
- updated to version 3.0.2

* Tue Nov 12 2013 Michael Perzl <michael@perzl.org> - 3.0.1-1
- updated to version 3.0.1

* Thu Jul 25 2013 Michael Perzl <michael@perzl.org> - 3.0-1
- updated to version 3.0

* Mon Apr 15 2013 Michael Perzl <michael@perzl.org> - 2.7.1-1
- updated to version 2.7.1

* Wed Dec 12 2012 Michael Perzl <michael@perzl.org> - 2.7-1
- updated to version 2.7

* Wed Nov 07 2012 Michael Perzl <michael@perzl.org> - 2.6.5-1
- updated to version 2.6.5

* Thu Oct 25 2012 Michael Perzl <michael@perzl.org> - 2.6.4-1
- updated to version 2.6.4

* Fri Aug 03 2012 Michael Perzl <michael@perzl.org> - 2.6.2-1
- updated to version 2.6.2

* Mon Jul 30 2012 Michael Perzl <michael@perzl.org> - 2.6.1-1
- updated to version 2.6.1

* Thu Jul 19 2012 Michael Perzl <michael@perzl.org> - 2.6-1
- updated to version 2.6

* Wed Jun 06 2012 Michael Perzl <michael@perzl.org> - 2.5.1-1
- updated to version 2.5.1

* Sun May 15 2011 Michael Perzl <michael@perzl.org> - 2.5-1
- updated to version 2.5

* Sat Aug 07 2010 Michael Perzl <michael@perzl.org> - 2.4.3-1
- updated to version 2.4.3

* Mon Jul 05 2010 Michael Perzl <michael@perzl.org> - 2.4.2-2
- removed dependency on gettext >= 0.17

* Mon Mar 22 2010 Michael Perzl <michael@perzl.org> - 2.4.2-1
- updated to version 2.4.2

* Tue Dec 30 2008 Michael Perzl <michael@perzl.org> - 2.4.1-1
- updated to version 2.4.1

* Thu Nov 06 2008 Michael Perzl <michael@perzl.org> - 2.4-1
- updated to version 2.4

* Wed Mar 26 2008 Michael Perzl <michael@perzl.org> - 2.3-1
- first version for AIX V5.1 and higher
